Subject: Re: bug#79259: [PATCH] Fix arg doc off-by-one bug of eglot signature help

From: João Távora <[email-masked]>
Date: Wed, 03 Sep 2025 08:20:56 +0100

Lin Jian <[email-masked]> writes:

>> Anyway, I pushed a slightly simpler fix.
>
> That slightly simpler "fix" changes an unrelated line of code.  It
> introduces a new off-by-1 bug while keeping the off-by-1 bug my patch
> indents to fix unchanged.

Thanks.  You're right, I pushed another fix.

> My patch fixes the mis-match of 2 and 3, while the slightly simpler
> "fix" changes the correct match of 1 and 3.

Should be taken care of now.  BTW, what I meant by "slightly simpler" is
that there's no need for tricks to transform vector to lists, just in
case a misunderstanding of that is why you're quoting "slightly simpler
fix" repeatedly.

João